DevHeads.net

Packages retirement as part of OpenStack clients updates in Rawhide

Hi,

OpenStack client packages have been updated in Fedora Rawhide to the latest
releases included in recently published Stein version.

As part of this update some packages which were required in the past are
not longer needed, so i plan to retire them from Fedora:

python-automaton
python-castellan
python-ceilometermiddleware
python-cursive
python-keystonemiddleware
python-microversion-parse
python-oslo-cache
python-oslo-concurrency
python-oslo-messaging
python-oslo-middleware
python-oslo-policy
python-oslo-privsep
python-oslo-reports
python-oslo-rootwrap
python-oslo-service
python-oslo-sphinx
python-oslo-vmware
python-osprofiler
python-os-win
python-pycadf
python-reno
python-taskflow

According to repoqueries to rawhide, these packages are not longer needed
for any other package so it should be safe to get them out but let me know
if anything else is needing them in.

Best regards,

Alfredo

Comments

Re: Packages retirement as part of OpenStack clients updates in

By Alfredo Moralej... at 05/28/2019 - 13:01

On Thu, May 16, 2019 at 11:38 AM Alfredo Moralejo Alonso <

python-ceilometermiddleware
python-keystonemiddleware
python-os-win
python-oslo-vmware
python-pycadf
python-oslo-cache
python-cursive
python-castellan
python-oslo-rootwrap
python-oslo-middleware
python-oslo-policy
python-oslo-reports
python-oslo-privsep
python-microversion-parse
python-osprofiler
python-oslo-messaging
python-oslo-service

Best regards,

Alfredo

According to repoqueries to rawhide, these packages are not longer needed

Re: Packages retirement as part of OpenStack clients updates in

By =?UTF-8?B?TWlyb... at 05/16/2019 - 04:49

On 16. 05. 19 11:38, Alfredo Moralejo Alonso wrote:

I might have outdated data, but:

$ dnf repoquery --repo=compose{,-source} --whatrequires python3-oslo-sphinx
diskimage-builder-0:1.26.1-8.fc31.noarch
dlrn-0:0.9.1-1.fc31.src
python-automaton-0:1.14.0-5.fc30.src
python-bash8-0:0.1.1-18.fc30.src
python-bashate-0:0.5.1-11.fc30.src
python-castellan-0:0.5.0-7.fc30.src
python-congressclient-0:1.5.0-10.fc30.src
python-cursive-0:0.1.2-8.fc30.src
python-grafyaml-0:0.0.5-12.fc30.src
python-hacking-0:1.1.0-6.fc31.src
python-k8sclient-0:0.3.0-10.fc30.src
python-keystonemiddleware-0:4.21.0-2.fc30.src
python-microversion-parse-0:0.1.3-11.fc30.src
python-murano-pkg-check-0:0.3.0-11.fc30.src
python-os-testr-0:0.8.0-10.fc31.src
python-os-win-0:2.2.0-9.fc30.src
python-oslo-messaging-0:8.1.2-1.fc31.src
python-oslo-privsep-0:1.13.0-9.fc30.src
python-renderspec-0:1.7.0-8.fc31.src
python-rsd-lib-0:0.5.1-1.fc31.src
python-rsdclient-0:0.2.0-1.fc31.src
python-subunit2sql-0:1.9.0-3.fc30.src
python-taskflow-0:3.4.0-1.fc31.src
python-yaql-0:1.1.3-6.fc30.src
python3-congressclient-tests-0:1.5.0-10.fc30.noarch

I see quite a lot packages that are not listed as being retired.
And this is just one package I picked, I haven't checked all.

Were all those recently updated to remove the depndency?

Let's wait for the new compose, so we can double check?

Re: Packages retirement as part of OpenStack clients updates in

By Alfredo Moralej... at 05/16/2019 - 07:48

On Thu, May 16, 2019 at 12:10 PM Alfredo Moralejo Alonso <

After checking again, following packages from the proposed list are still
needed by others:

- python-oslo-sphinx
- python-oslo-concurrency (needed by copr-backend).

I'll update both to latest releases.

BTW, to move on I need to get a couple of PRs merged:

<a href="https://src.fedoraproject.org/rpms/python-congressclient/pull-request/1" title="https://src.fedoraproject.org/rpms/python-congressclient/pull-request/1">https://src.fedoraproject.org/rpms/python-congressclient/pull-request/1</a>
<a href="https://src.fedoraproject.org/rpms/python-mistralclient/pull-request/3" title="https://src.fedoraproject.org/rpms/python-mistralclient/pull-request/3">https://src.fedoraproject.org/rpms/python-mistralclient/pull-request/3</a>

I'm trying to contact the maintainer to get them merged.